import { CartItem } from '../components/customer/pages/index/modals/cart/redux/types';
import { calcTotalPrice } from './calcTotalPrice';
import { useEffect, useState } from 'react';

export const GetCartFromLS = () => {
  const [data, setData] = useState('');
 // useEffect(() => setData(localStorage.getItem('cart')), []);
//const data = localStorage.getItem('cart');
  const items = data ? JSON.parse(data) : [];
  const totalPrice = calcTotalPrice(items);

  return {
    items: items as CartItem[],
    totalPrice,
  };
};
